Thanks to Frank (and all the other contributors). I found a solution that works for me:
void processFace(NXOpen::Face* face) {
if (!face) return;
// face is already of parametric type? not much to do.
NXOpen::Face::FaceType type = face->SolidFaceType();
if (type ==...
Yes, that's exactly the reason.
I picked up Franks proposal and tried the following:
bool processPart(NXOpen::Part* part) {
// create a ExtractFaceBuilder instance...
NXOpen::Features::Feature* nullFeatures_Feature(NULL);
NXOpen::Features::FeatureCollection* features =...
Hi @all,
Being quite a novice in UG/NX programming, I need to program an external application that reads in a .PRT file, traverses through the entities, converts all Faces to (trimmed) B-surfaces (Nurbs) and passes these to another format. Part of the code is a routine processFace as follows...